
_main:

;Battery on LCD.mbas,54 :: 		main:
;Battery on LCD.mbas,55 :: 		TRISB = 0                 ' Configure PORTB pins as digital
	CLRF       TRISB+0
;Battery on LCD.mbas,56 :: 		ADCON0 = 0x08             ' Configure RA1 pin as analog
	MOVLW      8
	MOVWF      ADCON0+0
;Battery on LCD.mbas,57 :: 		ADCON1= 4                 ' RA0 & RA1 & RA3 are analog, Vref iv VDD
	MOVLW      4
	MOVWF      ADCON1+0
;Battery on LCD.mbas,59 :: 		TRISA = 0x02              ' Set RA1 pin as input
	MOVLW      2
	MOVWF      TRISA+0
;Battery on LCD.mbas,62 :: 		loop:
L__main_loop:
;Battery on LCD.mbas,64 :: 		atod = ADC_Read(1)        ' Get 8-bit results of AD conversion
	MOVLW      1
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _atod+0
	MOVF       R0+1, 0
	MOVWF      _atod+1
;Battery on LCD.mbas,68 :: 		Temp = atod  + 482        ' This number represents 9.4 volts at .0195 Volts per count
	MOVLW      226
	MOVWF      R8+0
	MOVLW      1
	MOVWF      R8+1
	CLRF       R8+2
	CLRF       R8+3
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       R8+0, 0
	ADDWF      R4+0, 1
	MOVF       R8+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+1, 0
	ADDWF      R4+1, 1
	MOVF       R8+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+2, 0
	ADDWF      R4+2, 1
	MOVF       R8+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+3, 0
	ADDWF      R4+3, 1
	MOVF       R4+0, 0
	MOVWF      R0+0
	MOVF       R4+1, 0
	MOVWF      R0+1
	MOVF       R4+2, 0
	MOVWF      R0+2
	MOVF       R4+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
	MOVF       R0+2, 0
	MOVWF      _temp+2
	MOVF       R0+3, 0
	MOVWF      _temp+3
;Battery on LCD.mbas,71 :: 		Temp = Temp * 0.0195      ' Convert the count to voltage  0.0195 per count
	MOVLW      119
	MOVWF      R4+0
	MOVLW      190
	MOVWF      R4+1
	MOVLW      31
	MOVWF      R4+2
	MOVLW      121
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
	MOVF       R0+2, 0
	MOVWF      _temp+2
	MOVF       R0+3, 0
	MOVWF      _temp+3
;Battery on LCD.mbas,72 :: 		FloatToStr(Temp, Txt)     ' We need a Text String to display on the LCD
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_input+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_input+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_input+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_input+3
	MOVLW      _txt+0
	MOVWF      FARG_FloatToStr_output+0
	CALL       _FloatToStr+0
;Battery on LCD.mbas,75 :: 		txtfixed = " Volts DC"    ' Line one on the Display
	MOVLW      32
	MOVWF      _txtfixed+0
	MOVLW      86
	MOVWF      _txtfixed+1
	MOVLW      111
	MOVWF      _txtfixed+2
	MOVLW      108
	MOVWF      _txtfixed+3
	MOVLW      116
	MOVWF      _txtfixed+4
	MOVLW      115
	MOVWF      _txtfixed+5
	MOVLW      32
	MOVWF      _txtfixed+6
	MOVLW      68
	MOVWF      _txtfixed+7
	MOVLW      67
	MOVWF      _txtfixed+8
	CLRF       _txtfixed+9
;Battery on LCD.mbas,76 :: 		Lcd_Init()                ' Initialize Lcd
	CALL       _Lcd_Init+0
;Battery on LCD.mbas,77 :: 		Lcd_Cmd(_LCD_CLEAR)       ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Battery on LCD.mbas,78 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)  ' Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Battery on LCD.mbas,79 :: 		Lcd_Out(1,4,txtfixed)     ' Write text centered in first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txtfixed+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery on LCD.mbas,80 :: 		Lcd_Out(2,2,txt)          ' Write results centered in second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery on LCD.mbas,81 :: 		Delay_ms(1000)            ' Wait one Second
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L__main2:
	DECFSZ     R13+0, 1
	GOTO       L__main2
	DECFSZ     R12+0, 1
	GOTO       L__main2
	DECFSZ     R11+0, 1
	GOTO       L__main2
	NOP
	NOP
;Battery on LCD.mbas,86 :: 		goto loop
	GOTO       L__main_loop
L_end_main:
	GOTO       $+0
; end of _main
